# cc_ccache_t Overview

## Detailed Description

The cc_ccache_t type represents a reference to a ccache. Callers can access a ccache and the credentials stored in it via a cc_ccache_t. A cc_ccache_t can be acquired via cc_context_open_ccache(), cc_context_open_default_ccache(), or cc_ccache_iterator_next().

For API function documentation see cc_ccache_f.

## Data Structures

- struct cc_ccache_d

## Typedefs

- typedef cc_ccache_f cc_ccache_f
- typedef cc_ccache_d cc_ccache_d
- typedef cc_ccache_d * cc_ccache_t

## Typedef Documentation

typedef struct cc_ccache_f cc_ccache_f

typedef struct cc_ccache_d cc_ccache_d

typedef cc_ccache_d* cc_ccache_t